Subject: Re: [PATCH v2] merge-ort: turn submodule conflict suggestions into an advice

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Feb 2024 08:22:03 -0800

"Philippe Blain via GitGitGadget" <[email-masked]> writes:

> From: Philippe Blain <[email-masked]>
>
> Add a new advice type 'submoduleMergeConflict' for the error message
> shown when a non-trivial submodule conflict is encountered, which was
> added in 4057523a40 (submodule merge: update conflict error message,
> 2022-08-04). That commit mentions making this message an advice as
> possible future work. Only show the advice if it is enabled.

When specifically called out like this, it makes it sound as if this
one is disabled by default, while everybody else is enabled unless it
is disabled.

> Update the tests as the expected message now appears on stderr instead
> of stdout.

Makes sense.

Thanks.